<?php

use yii\db\Migration;

/**
 * Handles the creation of table `{{%table}}`.
 */
class m231012_102457_create_table_table extends Migration
{
    /**
     * {@inheritdoc}
     */
    public function safeUp()
    {
        $this->createTable('{{%table}}', [
            'id' => $this->primaryKey(),
            'name' => $this->string(),
            'places' => $this->integer(),
            'type' => $this->string(),
            'slug' => $this->string()
        ]);
    }

    /**
     * {@inheritdoc}
     */
    public function safeDown()
    {
        $this->dropTable('{{%table}}');
    }
}
